EDIT - feature request #6058

Store NamedArea dialog filters more individually
09/08/2016 11:07 AM - Patrick Plitzner

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Patrick Plitzner % Done: 70%
Category: taxeditor Estimated time: 2:00 hours
Target version: Release 4.4

Severity: normal

Description

copied from #6049 :
Remembering the old filters works well even when changing the datasource or reopening the editor.

Not yet fully correct IMO is that the filter works almost the same for all attributes but should be independent.
E.g. the geographic scope of a classification might want to have a different filter cache as the distribution areas and again a different
one than specimen areas.

Currently to me it seems that only the specimen areas do have a special rule which always includes countries. IMO for specimen
only the starting filter should be different (including only countries) for all others by default all areas should be shown.
But for each attribute we should have our own filter cache stored.

Related issues:
Follows EDIT - bug #6049: Improve (area) filter handling for selection dialogs Closed
Copied to EDIT - bug #6233: Open issues for individual dialog filters New

Associated revisions

Revision be719c48 - 10/20/2016 05:09 PM - Patrick Plitzner

ref #6058 store named area filters more individually

History

#1 - 09/08/2016 11:08 AM - Patrick Plitzner

- Subject changed from Store NamedArea diaologs more individually to Store NamedArea dialog filters more individually

#2 - 09/08/2016 02:33 PM - Andreas Miiller

- Description updated

#3 - 09/08/2016 02:44 PM - Andreas Miiller

- Due date set to 09/02/2016

- Start date changed from 09/08/2016 to 09/02/2016

- Follows bug #6049: Improve (area) filter handling for selection dialogs added

#4 - 09/26/2016 01:23 PM - Andreas Miiller
- Priority changed from New to Priority13
- Estimated time set to 2:00 h

#5 - 10/20/2016 05:10 PM - Patrick Plitzner
- Status changed from New to Resolved
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 0 to 70

#6 - 11/02/2016 08:28 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner
https://dev.e-taxonomy.eu/redmine/issues/6049

All Area lists like (geoscope in classification or PolytomousKey) seem to handle "Add" and "Edit" differently which doesn't make sense.

| could not test if specimen.country still has Countries only as default. It seemed to be handled like all other Named Areas but maybe this was only
due some presentings (I didn't want to delete all my preferences) here. Could you please double check?

All the rest seems to work well.

#7 - 12/01/2016 04:26 PM - Andreas Miiller
- Copied to bug #6233: Open issues for individual dialog filters added

#8 - 12/01/2016 04:28 PM - Andreas Miller

Open issues moved to new ticket #6233

#9 - 12/01/2016 04:28 PM - Andreas Miiller
- Status changed from Feedback to Closed
